pointfree-1.1.1.12: Tool for refactoring expressions into pointfree form

Safe Haskell | None
Language | Haskell2010

Pointfree

Synopsis

- pointfree :: String -> [String]
- pointfree' :: String -> Maybe String

# Documentation

pointfree :: String -> [String] #

    >>> pointfree "I'm not a valid Haskell expression!"
    []
    >>> pointfree "sum xs = foldr (+) 0 xs"
    ["sum = id (fix (const (foldr (+) 0)))","sum = fix (const (foldr (+) 0))","sum = foldr (+) 0"]

pointfree' :: String -> Maybe String #

    >>> pointfree' "I'm not a valid Haskell expression!"
    Nothing
    >>> pointfree' "sum xs = foldr (+) 0 xs"
    Just "sum = foldr (+) 0"